# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "build-info-proc"
version = "0.0.22"
authors = ["Daniel Schemmel <daniel@schemmel.net>"]
publish = ["crates-io"]
description = "Part of the build-info crate: This crate provides the proc-macros."
readme = "../README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/danielschemmel/build-info/"

[lib]
proc-macro = true
[dependencies.anyhow]
version = "1"

[dependencies.base64]
version = "0.13"

[dependencies.bincode]
version = "1"

[dependencies.build-info-common]
version = "=0.0.22"
features = ["enable-serde"]

[dependencies.chrono]
version = "0.4"

[dependencies.format-buf]
version = "1"

[dependencies.num-bigint]
version = "0.3"

[dependencies.num-traits]
version = "0.2"

[dependencies.proc-macro-error]
version = "1"

[dependencies.proc-macro-hack]
version = "0.5"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.syn]
version = "1"

[dependencies.xz2]
version = "0.1"
[dev-dependencies.pretty_assertions]
version = "0.7"

[features]
default = []
nested = []
runtime = []
